<p>data-binding works!</p>

<!-- String Interpolation -->
{{name}}

<!-- Property Binding -->
<button [disabled]="click"> Click</button>

<!-- Event Binding -->

<input type="text" (input)="onSubmit($event)">
{{result}}

<!-- Two Way Binding -->

<input type="text" [(ngModel)]="serve">
{{serve}}